commit efed20c5ed4afafa6f782e90904bf213871b9370
Author: freddy77 <freddy77>
Date:   Sun Jan 20 16:36:51 2008 +0000

    remove warning

diff --git a/ChangeLog b/ChangeLog
index 468a3bf..f8be023 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sun Jan 20 17:36:34 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/connectparams.c: remove warning
+
 Sun Jan 20 15:23:16 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac include/tds_sysdep_private.h:
 	* include/tds_sysdep_public.h.in src/apps/Makefile.am:
@@ -80,4 +83,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2473 2008/01/20 14:23:58 freddy77 Exp $
+$Id: ChangeLog,v 1.2474 2008/01/20 16:36:51 freddy77 Exp $
diff --git a/src/odbc/connectparams.c b/src/odbc/connectparams.c
index 657062c..d16e218 100644
--- a/src/odbc/connectparams.c
+++ b/src/odbc/connectparams.c
@@ -37,7 +37,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: connectparams.c,v 1.73 2008/01/18 13:37:12 freddy77 Exp $");
+TDS_RCSID(var, "$Id: connectparams.c,v 1.74 2008/01/20 16:36:51 freddy77 Exp $");
 
 static const char odbc_param_Servername[] = "Servername";
 static const char odbc_param_Address[] = "Address";
@@ -586,7 +586,7 @@ definePropertyHidden(HODBCINSTPROPERTY hLastProperty, const char *name, const ch
 }
 
 static HODBCINSTPROPERTY
-definePropertyList(HODBCINSTPROPERTY hLastProperty, const char *name, const char *value, void *list, int size, const char *comment)
+definePropertyList(HODBCINSTPROPERTY hLastProperty, const char *name, const char *value, const void *list, int size, const char *comment)
 {
 	hLastProperty = addProperty(hLastProperty);
 	hLastProperty->nPromptType = ODBCINST_PROMPTTYPE_LISTBOX;

